TimerA Class Reference

`#include <mos6526.h>`

Inheritance diagram for TimerA:

## Public Member Functions

| TimerA (EventContext *context, MOS6526 *parent)
Public Member Functions inherited from Timer
void | setControlRegister (uint8_t cr)
void | syncWithCpu ()
void | wakeUpAfterSyncWithCpu ()
void | reset ()
void | latchLo (uint8_t data)
void | latchHi (uint8_t data)
void | setPbToggle (bool state)
int_least32_t | getState () const
uint_least16_t | getTimer () const
bool | getPb (uint8_t reg) const

## Additional Inherited Members

Protected Member Functions inherited from Timer
| Timer (const char *name, EventContext *context, MOS6526 *parent)
Protected Attributes inherited from Timer
MOS6526 *const | parent
| Pointer to the MOS6526 which this Timer belongs to.
int_least32_t | state
| CRA/CRB control register / state.
Static Protected Attributes inherited from Timer
static const int_least32_t | CIAT_CR_START = 0x01
static const int_least32_t | CIAT_STEP = 0x04
static const int_least32_t | CIAT_CR_ONESHOT = 0x08
static const int_least32_t | CIAT_CR_FLOAD = 0x10
static const int_least32_t | CIAT_PHI2IN = 0x20
static const int_least32_t | CIAT_CR_MASK = CIAT_CR_START | CIAT_CR_ONESHOT | CIAT_CR_FLOAD | CIAT_PHI2IN
static const int_least32_t | CIAT_COUNT2 = 0x100
static const int_least32_t | CIAT_COUNT3 = 0x200
static const int_least32_t | CIAT_ONESHOT0 = 0x08 << 8
static const int_least32_t | CIAT_ONESHOT = 0x08 << 16
static const int_least32_t | CIAT_LOAD1 = 0x10 << 8
static const int_least32_t | CIAT_LOAD = 0x10 << 16
static const int_least32_t | CIAT_OUT = 0x80000000

## Detailed Description

This is the timer A of this CIA.

Author
  Ken Händel

## Constructor & Destructor Documentation

TimerA::TimerA | ( | EventContext * | context,
|  | MOS6526 * | parent
| ) |  |

inline

Create timer A.

The documentation for this class was generated from the following files:

- mos6526.h
- mos6526.cpp